@echo off
:: echo on (for debug)
cls

::
::    The Hole BBS (Node 1)
::    Written by Sysop: Stu Grant
::
::    This is the BBS batch file used to Fire up The Hole (Node 1) using
::    RemoteAccess in a Shell to Mailer (FrontDoor).  I use separate BAT
::    files for each node to keep things simple. The Hole runs under OS/2.
::
::    The BAT files to run Node 2 and the Local Node are very simple and
::    incorporate only the first part of this one.  Node 2 needs only to
::    exit with an errorlevel at Midnight and check for the MAINT.FLG and
::    then loop until this one is finished running Maint (see midnight).
::
::    Here it is!
::

::  ---- This sets up the Multiline Chat Door -----

cd\ra\doors\chat
cmsetup /R

:: ----- Fire up the Fossil for a DV Window ----

:: c:\ra\bnu.com /f+ /m- /l0:19200

::  ---- Let's Start The BBS (Node 1) ----

:start

c:
cls
echo ath0 >com1
echo Firing up The Hole Node 1 ....

::  ---- Let's set the environments (Note FD for Multiline!)

cd\ra\line1
set ra=c:\ra
set fd=c:\fd\n1
set dszlog=c:\ra\dsz.log
set dszport=0

::  ---- Condition checks and actions ----

cd c:\fd\file
if exist c:\ra\line1\dsz.log del \ra\line1\dsz.log
if exist c:\fd\file\*.tic del *.tic
if exist nodediff.* goto newnode
if exist bre804.* goto bre
if exist rushnet.* goto rush
if exist c:\fd\file\update.ffs goto update
if exist c:\ra\working\*.dat del c:\ra\working\*.dat

::  ---- Fire up RA and Shell to FrontEnd Mailer ----

cd \ra\line1
ra -m\fd\fd.exe*m -e20

::  ---- Errorlevels to trap for action -----

if errorlevel 93 goto midnight
if errorlevel 38 goto unpackmail
if errorlevel 20 goto start
if errorlevel 15 goto reboot
if errorlevel 10 goto out
if errorlevel 5 goto both
if errorlevel 4 goto echo
if errorlevel 3 goto net
if errorlevel 2 goto restart_ra
if errorlevel 1 goto start
if errorlevel O goto start

::  ---- Next Line in case an errorlevel was missed -----

goto start

::  ---- Log back on after type 15 with errorlevel, See docs! ----

:restart_ra

echo ath0 >com1
c:
cd \ra\line1
ra -r -g -e20
if errorlevel 93 goto midnight
if errorlevel 38 goto unpackmail
if errorlevel 20 goto start
if errorlevel 15 goto reboot
if errorlevel 10 goto out
if errorlevel 5 goto both
if errorlevel 4 goto echo
if errorlevel 3 goto net
if errorlevel 1 goto start
if errorlevel O goto start

goto start

::  ---- Scan for Mail after Logoff if EchoMail entered ----

:echo

echo ath1 >com1

fmail scan
goto start

::  ---- Scan for Mail after Logoff if Echo AND NetMail entered ----

:both

echo ath1 >com1

fmail scan
goto start

::  ---- Export NetMail to folder after logoff ----

:net

echo ath1 >com1

cd \ra
mbutil export
goto start

::  ---- This handles updates for FFS ----

:update

echo ath1 >com1

if exist update.* pkunzip -o update.* c:\ra\doors\findfile
if exist update.* del update.*
goto start

::  ---- Unpack and Toss incomming Mail packets ----

:unpackmail

echo ath1 >com1

cd c:\fd\fmail
fmail toss import
goto start

::  ---- Process the various Nodediffs when recieved ----

:newnode

echo ath1 >com1

cd c:\fd\file
copy nodediff.* c:\fd\fido
pkunpak -r nodediff.* c:\fd\nodelist
del c:\fd\file\nodediff.*
goto start

:bre

echo ath1 >com1

cd\fd\file
copy bre804.* c:\fd\fido
pkunpak -r bre804.* c:\fd\nodelist
del C:\fd\file\bre804.*
goto start

:rush

echo ath1 >com1

cd\fd\file
copy rushnet.* c:\fd\fido
pkunpak -r rushnet.* c:\fd\nodelist
del c:\fd\file\rushnet.*
goto start

::
::  ---- This attempts to handle INIT failures by FrontDoor ----
::  ---- Since I run under OS/2 I must attempt to re-init   ----
::  ---- the modem.  Under DOS or DV I would run a COLD BOOT ---
::  ---- program.  Such as REBOOT.EXE
::

:reboot

cls
echo System Attempting to Re-initialize the Modem.....

echo ATH0 >COM1
delay 10
echo ATH1 >COM1
delay 10
echo ATH0 >COM1
delay 10
echo ATH1 >COM1
delay 60
echo ATH0 >COM1

goto start

::  ---- Exit to DOS (Only for FORCED Errorlevels!) ----
::  ---- This is an exit and The BBS is DOWN!! ----

:out

cd \fd
echo ath1 >com1
echo atm0 >com1
goto end

::  ---- Let's start the Midnight Maintenance ----

:midnight

echo ath1 >com1
cls

:: ---- I like noise ----

beep 440 4 587 2 1040 6
beep 440 4 587 2 1040 6
beep 440 4 587 2 1040 6

::  ---- This must run PRIOR to Midnight ----

c:
cd\ra\doors\racall
addtoday.exe c:\ra
cd\fd\file
if exist *.lzh del *.lzh
if exist *.tic del *.tic

::
::  ---- Set flag for Node 2 to stay down during Maint ----
::  ---- Set flag to check that Node 2 is down ----
::  ---- Also set flags to FORCE Node 2 down ----
::

cls
cd\fd\n2
echo >fdxit.65
cd\ra
echo >maint.flg
echo >check.flg
echo >raxit2.65

::
::  ---- Node 2 Must be down to continue ----
::
::  ---- What follows is The Hole Nightly Maintenance ----
::  ---- this would be unique for every BBS but this  ----
::  ---- has some nice examples in it for RA Utilities ---
::

:maint

cls
echo Waiting on Node 2 to go down .....
if exist c:\ra\check.flg goto maint
cls
echo Node 2 is down, Let's Rock & Roll......
delay 2

cd\ra\line1
ramsg link -clean -hudson
ramsg pack -overwrite -renumber -purge -delete -recover -link
rauser -s -p -m20 -d60
rafile clean g2 /km
rafile compress g2
rafile sort g2
cd\ra
dstat /g
cd\ra\raman
raman raman.cfg
del *.log
cd\cdrom
rafile filelist geofile.doc /bcomment.asc @area1.lst
rafile filelist thehole.doc /bcomment.asc @area.lst
move c:\cdrom\*.doc e:\files\misc
del *.log
e:
cd\files\misc
pkzip -f -o allfiles.zip thehole.doc
pkzip -f -o geofiles.zip geofile.doc
rafile update allfiles.zip 20 touchmod
rafile update geofiles.zip 20 touchmod
rafile update newfiles.zip 20 touchmod
del *.doc
del *.log
c:
cd\ra\doors
if exist *.log del *.log
if exist *.trn del *.trn
rmu
cd\ra\doors\uv
mdaily
cd\ra\doors\fishing
fishmant
if exist *.log del *.log
cd\ra\tradewar
if exist inuse.flg del inuse.flg
extern
if exist *.log del *.log
cd\ra\doors\isa
isapack /u
isa /f
isa /m
isapack /p
isa /p 60
isaclean
if exist *.log del *.log
cd\ra\doors\bre
if exist inuse.flg del inuse.flg
bre inbound
bre recon
bre planetary
if exist inuse.flg del inuse.flg
if exist log.txt del log.txt
cd\ra\doors\bre2
if exist inuse.flg del inuse.flg
bre inbound
bre planetary
brscores
if exist *.log del *.log
if exist log.txt del log.txt
cd\ra\doors\race
pitmast
if exist *.log del *.log
cd\fd\fmail
if exist *.log del *.log
cd\ra\line3
if exist *.log del *.log
cd\fd\nodelist
if exist c:\fd\nodelist\nodediff.* goto merge
cd\ra
del maint.flg
del raxit2.65
cd\fd\n2
del fdxit.65
cd\ra\line1
cls
beep 440 4 587 2 1040 6
beep 440 4 587 2 1040 6
beep 440 4 587 2 1040 6

goto start

::  ---- Merge the Nodelists while Node 2 is down ----
::  ---- If there was no Node 2 this could be done ---
::  ---- when NODEDIFF is processed (see NEWNODE) ----

:merge

sysnl merge nodelist nodediff c
cd c:\fd
fdnc /f
del c:\fd\file\nodediff.*
cd \ra
ranode fdnet.pvt
del maint.flg
del raxit2.65
cd\fd\n2
del fdxit.65
cd\ra\line1
cls
beep 440 4 587 2 1040 6
beep 440 4 587 2 1040 6
beep 440 4 587 2 1040 6

goto start

::  --- And if ALL Else fails ----

:end

echo The Hole Line 1 is now down!

exit


